## class OSGGA_EXPORT osgGA::StateSetManipulator

> Experimental class, not been looked at for a while, but which will be returned to at some point :-\

## Inheritance:

### Public Methods

StateSetManipulator()
virtual ~StateSetManipulator()
virtual const char* className()
virtual void setStateSet(osg::StateSet*)
  attach a geostate to the manipulator to be used for specifying view
virtual osg::StateSet* getStateSet()
  get the attached a geostate
virtual const osg::StateSet* getStateSet() const
  get the attached a geostate
virtual bool handle(const GUIEventAdapter& ea, GUIActionAdapter& us)
  Handle events, return true if handled, false otherwise
virtual void accept(GUIEventHandlerVisitor&)
  Handle visitations
virtual void getUsage(osg::ApplicationUsage& usage) const
  Get the keyboard and mouse usage of this manipulator

### Protected Fields

osg::ref_ptr<osg::StateSet> _drawState
bool _backface
bool _lighting
bool _texture

### Inherited from GUIEventHandler:

### Public Methods

META_Object (osgGA, GUIEventHandler) const () const
virtual CompositeGUIEventHandler* getComposite()

## Documentation

> Experimental class, not been looked at for a while, but which will be returned to at some point :-\

`StateSetManipulator()`

`virtual ~StateSetManipulator()`

`virtual const char* className()`

`virtual void setStateSet(osg::StateSet*)`
  attach a geostate to the manipulator to be used for specifying view

`virtual osg::StateSet* getStateSet()`
  get the attached a geostate

`virtual const osg::StateSet* getStateSet() const`
  get the attached a geostate

`virtual bool handle(const GUIEventAdapter& ea, GUIActionAdapter& us)`
  Handle events, return true if handled, false otherwise

`virtual void accept(GUIEventHandlerVisitor&)`
  Handle visitations

`virtual void getUsage(osg::ApplicationUsage& usage) const`
  Get the keyboard and mouse usage of this manipulator

`osg::ref_ptr<osg::StateSet> _drawState`

`bool _backface`

`bool _lighting`

`bool _texture`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.